# Couenne::CouenneSOSBranchingObject Class Reference

`#include <CouenneSOSObject.hpp>`

List of all members.

## Public Member Functions
| CouenneSOSBranchingObject ()
| CouenneSOSBranchingObject (CouenneProblem *p, exprVar *ref, OsiSolverInterface *solver, const OsiSOS *originalObject, int way, double separator, JnlstPtr jnlst, bool doFBBT, bool doConvCuts)
| CouenneSOSBranchingObject (const CouenneSOSBranchingObject &src)
virtual OsiBranchingObject * | clone () const
| Clone.
virtual double | branch (OsiSolverInterface *solver)
| Does next branch and updates state.
## Protected Attributes
CouenneProblem * | problem_
| pointer to Couenne problem
exprVar * | reference_
| The (auxiliary) variable this branching object refers to.
JnlstPtr | jnlst_
| SmartPointer to the Journalist.
bool | doFBBT_
| shall we do Feasibility based Bound Tightening (FBBT) at branching?
bool | doConvCuts_
| shall we add convexification cuts at branching?

## Detailed Description

Definition at line 27 of file CouenneSOSObject.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneSOSBranchingObject::CouenneSOSBranchingObject | ( |  | ) | `[inline]`

Definition at line 51 of file CouenneSOSObject.hpp.

Referenced by clone().

Couenne::CouenneSOSBranchingObject::CouenneSOSBranchingObject | ( | CouenneProblem * | p,
|  | exprVar * | ref,
|  | OsiSolverInterface * | solver,
|  | const OsiSOS * | originalObject,
|  | int | way,
|  | double | separator,
|  | JnlstPtr | jnlst,
|  | bool | doFBBT,
|  | bool | doConvCuts |
| ) |  |  | `[inline]`

Definition at line 54 of file CouenneSOSObject.hpp.

Couenne::CouenneSOSBranchingObject::CouenneSOSBranchingObject | ( | const CouenneSOSBranchingObject & | src | ) | `[inline]`

Definition at line 73 of file CouenneSOSObject.hpp.

## Member Function Documentation

virtual OsiBranchingObject* Couenne::CouenneSOSBranchingObject::clone | ( |  | ) | const`[inline, virtual]`

Clone.

Definition at line 83 of file CouenneSOSObject.hpp.

References CouenneSOSBranchingObject().

virtual double Couenne::CouenneSOSBranchingObject::branch | ( | OsiSolverInterface * | solver | ) | `[virtual]`

Does next branch and updates state.

## Member Data Documentation

CouenneProblem* Couenne::CouenneSOSBranchingObject::problem_`[protected]`

pointer to Couenne problem

Definition at line 32 of file CouenneSOSObject.hpp.

exprVar* Couenne::CouenneSOSBranchingObject::reference_`[protected]`

The (auxiliary) variable this branching object refers to.

If the expression is w=f(x,y), this is w, as opposed to CouenneBranchingObject, where it would be either x or y.

Definition at line 37 of file CouenneSOSObject.hpp.

JnlstPtr Couenne::CouenneSOSBranchingObject::jnlst_`[protected]`

SmartPointer to the Journalist.

Definition at line 40 of file CouenneSOSObject.hpp.

bool Couenne::CouenneSOSBranchingObject::doFBBT_`[protected]`

shall we do Feasibility based Bound Tightening (FBBT) at branching?

Definition at line 43 of file CouenneSOSObject.hpp.

bool Couenne::CouenneSOSBranchingObject::doConvCuts_`[protected]`

shall we add convexification cuts at branching?

Definition at line 46 of file CouenneSOSObject.hpp.

The documentation for this class was generated from the following file:

- CouenneSOSObject.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines